package com.ruoyi.system.service.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzSkxm;

import java.util.List;

/**
 * 招商引资_省库项目Service接口
 * 
 * @author boman
 * @date 2023-03-28
 */
public interface IZsyzSkxmService 
{
    /**
     * 查询招商引资_省库项目
     * 
     * @param id 招商引资_省库项目主键
     * @return 招商引资_省库项目
     */
    public ZsyzSkxm selectZsyzSkxmById(Long id);

    /**
     * 查询招商引资_省库项目列表
     * 
     * @param zsyzSkxm 招商引资_省库项目
     * @return 招商引资_省库项目集合
     */
    public List<ZsyzSkxm> selectZsyzSkxmList(ZsyzSkxm zsyzSkxm);

    /**
     * 新增招商引资_省库项目
     * 
     * @param zsyzSkxm 招商引资_省库项目
     * @return 结果
     */
    public int insertZsyzSkxm(ZsyzSkxm zsyzSkxm);

    /**
     * 修改招商引资_省库项目
     * 
     * @param zsyzSkxm 招商引资_省库项目
     * @return 结果
     */
    public int updateZsyzSkxm(ZsyzSkxm zsyzSkxm);

    /**
     * 批量删除招商引资_省库项目
     * 
     * @param ids 需要删除的招商引资_省库项目主键集合
     * @return 结果
     */
    public int deleteZsyzSkxmByIds(Long[] ids);

    /**
     * 删除招商引资_省库项目信息
     * 
     * @param id 招商引资_省库项目主键
     * @return 结果
     */
    public int deleteZsyzSkxmById(Long id);
}
